<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="dummy_property" type="bool" volatile="true" writable="true" default="false"
    description="dummy property required due to bug"/>
  <!-- Dummy property required due to bug (cannot set raw properties without
       a volatile property existing) -->
  <property name="window_length" type="ushort" initial="true" writable="false" default="128"
    description="number of coefficients in the window"/>
  <!-- LINT EXCEPTION: xml_012: 2: Cannot specify default value on an
       array due to test failing-->
  <property name="coefficients" type="ulong" arraylength="2048" writable="true" description="window function coefficients"/>
  <port name="input" producer="false" protocol="short_timed_sample-prot"/>
  <port name="output" producer="true" protocol="short_timed_sample-prot"/>
</componentspec>
